package chap10;

import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;

public class TableHandlingTag extends TagSupport {
	private String bgColor; // The one required attribute
	private String color = null;
	private String border="0";
	private String cellspacing = "2";
	private String cellpadding = "1";

//***Ƽ ϴ setter ޼ҵ******
public void setBgColor(String bgColor) {
	this.bgColor = bgColor;
}
public void setColor(String color) {
	this.color = color;
}
public void setBorder(String border) {
	this.border = border;
}
public void setCellspacing(String cellspacing) {
	this.cellspacing = cellspacing;
}
public void setCellpadding(String cellpadding) {
	this.cellpadding = cellpadding;
}
//***********************************************

public int doStartTag() throws JspException{
	try {
		JspWriter out = pageContext.getOut();
		out.print("<TABLE BORDER=" + border +
			" BGCOLOR=\"" + bgColor + "\"" );
		if (cellpadding != null) {
			out.print("cellpadding=\"" + cellpadding+ "\"");
		}
		if (cellspacing != null) {
			out.print("cellspacing=\"" + cellspacing+ "\"");
		}

		out.print("><TR><TH>");
		out.print("<SPAN STYLE=\"" );
		if (color != null) {
			out.println("color: " + color + ";");
		}
//<SPAN ...>± 
	out.print("\"> "); 
	} catch(IOException ioe) {
		throw new JspException("TableHadlingTag: " + ioe);
	}
//± ٵ ϶    Ѵ.
	return(EVAL_BODY_INCLUDE); 
}

public int doEndTag()  throws JspException{
	try {
		JspWriter out = pageContext.getOut();
		out.print("</SPAN></TABLE>");
	} catch(IOException ioe) {
		throw new JspException("TableHadlingTag: " + ioe);
	}
// ڹ    ؼ ó Ѵ.
	return(EVAL_PAGE); 
}

}

