package pjsp.shopmall.beans;
import java.sql.*;
import java.io.IOException;
import pjsp.shopmall.database.ConnPool;

//Ŀؼ Ǯ  ִ Ŵ Ŭ
public class PoolManagerBean {

	private String dbUser,dbPasswd,dbURL, driverName;
	private int initConnections, maxConnections;

	private static ConnPool pool = null;
	private boolean initFromProperties = true;
	private boolean initialized = false;
	
	private Connection connection = null;

//ConnPoolü  ش.
	public PoolManagerBean() {
		pool = new ConnPool();
	}
/*ConnPoolü initFromProperties ϰ, 
  ConnPoolü setUp()޼ҵ带 ȣѴ. */
	public void setUp() throws SQLException, IOException, ClassNotFoundException {
		pool.setInitFromProperties(initFromProperties);
		pool.setUp();
		initialized = true;
	}

//PoolManagerBean Ƽ ϴ setter޼ҵ
	public void setInitFromProperties(boolean fromFile) {
		this.initFromProperties = fromFile;
	}
	public void setDriverName(String driver) {
		driverName = driver;
	}
	public void setInitConnections(int init_connections) {
		initConnections = init_connections;
	}
	public void setMaxConnections(int max_connections) {
		maxConnections = max_connections;
	}
	public void setDbUser(String dbUser) {
		this.dbUser = dbUser;
	}
	public void setDbPasswd(String dbPasswd) {
		this.dbPasswd = dbPasswd;
	}
	public void setDbURL(String dbURL) {
		this.dbURL = dbURL;
	}

//PoolManagerBean Ƽ ȯϴ getter޼ҵ
	public String getDriverName() {
		return driverName;
	}
	public int getInitConnections() {
		return initConnections;
	}
	public int getMaxConnections() {
		return maxConnections;
	}
	public String getDbUser() {
		return dbUser;
	}
	public String getDbPasswd() {
		return dbPasswd;
	}

//ConnPoolüκ Connection ´.
	public Connection getConnection() throws SQLException {
		if(!initialized) throw new SQLException("Connection Pool  ʱȭ ʾҽϴ");
		return pool.getConnection();
	}
//ConnPoolü Connection ȯѴ.
	public void releaseConnection(Connection connection) {
		pool.releaseConnection(connection);
	}
//ConnPoolü  Connection ݾش.
	protected void finalize() {
		if( pool != null) {
			pool.closeAll();
		}
		pool = null;
	}
}
