package pjsp.board;

import java.sql.*;
import java.io.*;
import pjsp.shopmall.beans.PoolManagerBean;
import pjsp.shopmall.database.ConnPool;
import pjsp.util.HangulConversion;

public class ListBean{

private PoolManagerBean pm;
private Connection con;
private Statement stmt;
private ResultSet rs;
private BoardRec br;
private final int LINE_PER_PAGE = 7;	

//ü ڵ 
private int recNum;

// Լ --> Ǯ Ŵ ϰ Ŀؼ ´
public ListBean(){
 try{
	pm = new PoolManagerBean();
	pm.setUp();
	con = pm.getConnection();
  } catch(Exception e){ e.printStackTrace();}
}


//ü Ϻ⸦  Board̺ ִ   о ޼ҵ.
public BoardRec[] getAllBoard(){
	BoardRec[]  br = null;
	int recCount = 0; //table  ִ record  
	int num = 0;
	String name= null;
	String email= null;
	String passwd= null;
	String date= null;
	String title = null;
 	String content= null;
 	int count = 0;
 	
	try{
	 	stmt = con.createStatement();
	 	String query = "select count( *) from board ";
	 	rs = stmt.executeQuery(HangulConversion.toEng(query));
	 	if(rs.next()){
	 		recCount  = rs.getInt(1);
			recNum = recCount ; //jsp ü count ȯϱ .
	 	}//end of if
	 	br = new BoardRec[recCount ];
	 	
	 	query = "select  *  from board order by num desc";
	 	rs = stmt.executeQuery(HangulConversion.toEng(query));
	 	
	 	for(int i = 0; rs.next() ; i++){
	 		 num = rs.getInt("num");
      		name = HangulConversion.toKor(rs.getString ("wname"));
      		email= HangulConversion.toKor(rs.getString ("email"));
      		date = HangulConversion.toKor(rs.getDate ("wdate").toString());
      		title = HangulConversion.toKor(rs.getString ("wtitle"));
      		if (title.length() > 25) {
         		title = title.substring(0,20) + ".....";
      		}
      		count = rs.getInt("recount");
      		
      		br[i] = new BoardRec(num, name, email, date, title, count); 		
	 	}//end of while
		return br;
	 } catch(SQLException e){ 
		  System.out.println("<hr>*** SQLException caught ***<p>");
		   while (e != null) {
		    System.out.println("SQLState: " + e.getSQLState() + "<br>");
		    System.out.println("Message:  " + e.getMessage() + "<br>");
	        System.out.println("Vendor:   " + e.getErrorCode() + "<br>");
		    e = e.getNextException();
           }
		   return br;
      }finally{
         try{ 
           stmt.close();
           pm.releaseConnection(con); 
          } catch(Exception e){}
		  return br;
     }  
}//end of getAllboard

/*Խõ   ,  ε ȣ  
ϳ ڵ带 о ޼ҵ */
public BoardRec getBoard(int num){
  BoardRec br = null;
try{
 stmt = con.createStatement();
 String query = "select count( *) from board ";
 rs = stmt.executeQuery(HangulConversion.toEng(query));
 if(rs.next()){
	recNum   = rs.getInt(1); //jsp ü count ȯϱ .
 }
  
  query = "Select * from board where num="+ num;
  rs = stmt.executeQuery(HangulConversion.toEng(query));
  String title = "";
  String name = "";
  String email = "";
  String date = "";
  String content = "";
  InputStreamReader ir = null;
	BufferedReader buff = null;
  int count = 0;
  if ( rs.next() ) {
      name = HangulConversion.toKor(rs.getString ("wname"));
      email= HangulConversion.toKor(rs.getString ("email"));
      date = HangulConversion.toKor(rs.getDate ("wdate").toString());
      title = HangulConversion.toKor(rs.getString ("wtitle"));
      content = HangulConversion.toKor(rs.getString ("content"));
	  count = rs.getInt("recount");
	  br = new BoardRec(num, name, email, date, title, content, count);
  }

   return br;
 } catch(SQLException e){ 
  System.out.println("<hr>*** SQLException caught ***<p>");
  while (e != null) {
    System.out.println("SQLState: " + e.getSQLState() + "<br>");
    System.out.println("Message:  " + e.getMessage() + "<br>");
    System.out.println("Vendor:   " + e.getErrorCode() + "<br>");
    e = e.getNextException();
   }
  return br;
   }finally{
         try{ 
           stmt.close();
           pm.releaseConnection(con); 
          } catch(Exception e){}
		  return br;
     }  
}

//ü ȸ Ű ޼ҵ
public void incrCnt(int num){
	try{
	 	stmt = con.createStatement();
        String query="UPDATE board SET recount = recount + 1 where num=" + num; 
        stmt.executeUpdate(HangulConversion.toEng(query));
	}catch(SQLException e){ }
}

//ü ڵ  ȯ, ϴ ޼ҵ
public int getRecNum(){
	return recNum;
}
public void setRecNum(int recNum){
	this.recNum = recNum;
}

/////// ƿƼ ޼ҵ ////////////////////////////////////

//SQL String ִ ޼ҵ
private String makeSQL (String str) { 
		String result = null;
		if ( str != null ) {
			result = "'" + str + "'";
		}
		return result;
	}

}